Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl.fonts.truetype
Class PCLTTFPCLTFontTable

    java.lang.Object
      org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable
          org.apache.fop.render.pcl.fonts.truetype.PCLTTFPCLTFontTable

    public class PCLTTFPCLTFontTable

extends PCLTTFTable

Field Summary

Fields inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable
`reader`

Constructor Summary
`PCLTTFPCLTFontTable(FontFileReader in)`

Method Summary
`int` | `getCapHeight()`
`java.lang.String` | `getCharacterComplement()`
`java.lang.String` | `getFilename()`
`long` | `getFontNumber()`
`int` | `getPitch()`
`int` | `getSerifStyle()`
`int` | `getStrokeWeight()`
`int` | `getStyle()`
`int` | `getSymbolSet()`
`java.lang.String` | `getTypeface()`
`int` | `getTypeFamily()`
`long` | `getVersion()`
`int` | `getWidthType()`
`int` | `getXHeight()`

Methods inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable
`skipByte, skipLong, skipShort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLTTFPCLTFontTable

    public PCLTTFPCLTFontTable(FontFileReader in)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getVersion

    public long getVersion()

### getFontNumber

    public long getFontNumber()

### getPitch

    public int getPitch()

### getXHeight

    public int getXHeight()

### getStyle

    public int getStyle()

### getTypeFamily

    public int getTypeFamily()

### getCapHeight

    public int getCapHeight()

### getSymbolSet

    public int getSymbolSet()

### getTypeface

    public java.lang.String getTypeface()

### getCharacterComplement

    public java.lang.String getCharacterComplement()

### getFilename

    public java.lang.String getFilename()

### getStrokeWeight

    public int getStrokeWeight()

### getWidthType

    public int getWidthType()

### getSerifStyle

    public int getSerifStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.